Bug 734459 - Roles can be edited to allow superfluous whitespaces
Summary: Roles can be edited to allow superfluous whitespaces
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-08-30 12:58 UTC by Corey Welton
Modified: 2013-03-27 20:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:54:23 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-08-30 12:58:37 UTC
Description of problem:
Although one cannot initially create a role with whitespace appending or prepending the name -- it gets truncated -- subsequent attempts to edit the role allows addition of whitespace.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a new role, "test role    "
2.  Note that when it gets created, it is saved, "test role"
3.  Navigate to the role you just created
4.  Chose to edit this role
5.  Append spaces to the role name "test role       "
6.  Save
7.  Again attempt to edit

Actual results:
The extra whitespace has been appended to the end of the role name

Expected results:
Uniform handling of valid role names throughout creation and update

Additional info:
Users can actually initially create a role prepended with whitespace, though whitespace at the end is removed.  This is a separate bug however.

Comment 2 Corey Welton 2011-09-22 14:46:56 UTC
QA Verified


Note You need to log in before you can comment on or make changes to this bug.